#!/usr/bin/perl
# 
# library - language [en]
# == scripted by Takuya Otani ========
# == copyright (C) SimpleBoxes 2004 ==

{
	my $aVersion_ = 0.01;
	# history
	# ver 0.00 [2004/02/09] generate
	# ver 0.01 [2004/06/22] added language settings for "sb it!". changed style.css, script.js and admin.html.
	require 'sbtime.pl';
	&sblang_setup();
}
sub sblang_setup {
	%gMsg = (
		'setup' => {
			'disptime' => {
				'JUGEM'   => 'JUGEM compatible',
				'EngLong' => 'Englis Style',
				'EngShrt' => 'English Short Style',
				'French'  => 'French',
				'EngNum'  => 'Japanese Style',
				'JpnNum'  => 'Japanese',
			},
			'lang' => {
				'ja' => 'Japanese',
				'en' => 'English',
			},
			'entry_archive' => {
				'Individual' => 'generate individual html archive',
				'Monthly' => 'generate monthly html archive',
				'None' => 'genarete html for the top page only',
			},
			'msg_stat'       => 'wait:open',
			'edit_stat'      => 'close:open',
			'edit_format'    => 'none:auto',
			'edit_date'      => 'none:update when edit',
			'edit_comment'   => 'deny:allow:require auth',
			'edit_trackback' => 'deny:allow:require auth',
		},
		'aws' => {
			'genre' => [
				{'n' => 'books-jp',       't' => 'Japanese Books'},
				{'n' => 'books-us',       't' => 'Books'},
				{'n' => 'music-jp',       't' => 'Japanese Music'},
				{'n' => 'classical-jp',   't' => 'Japanese Classical Music'},
				{'n' => 'dvd-jp',         't' => 'Japanese DVD'},
				{'n' => 'vhs-jp',         't' => 'Japanese Video'},
				{'n' => 'electronics-jp', 't' => 'Japanese Electonics'},
				{'n' => 'software-jp',    't' => 'Japanese Software'},
				{'n' => 'videogames-jp',  't' => 'Japanese Video Games'},
				{'n' => 'asin',           't' => 'ASIN/ISBN'},
			],
		},
		'mode' => {
			'edit'      => 'edit article',
			'list'      => 'article list',
			'upload'    => 'upload file',
			'amazon'    => 'recommended item',
			'category'  => 'edit category',
			'link'      => 'edit link',
			'profile'   => 'edit profile',
			'view'      => 'view website',
			'rebuild'   => 'rebuild',
			'comment'   => 'manage comment',
			'trackback' => 'manage trackback',
			'refuse'    => 'config IP banning',
			'user'      => 'manage users',
			'template'  => 'edit template',
			'config'    => 'config weblog',
			'editor'    => 'config editor',
			'transfer'  => 'import/export data',
			'help'      => 'help',
			'access'    => 'analysis access log',
			'status'    => 'view status',
			'logout'    => 'logout',
			'login'     => 'login',
			'welcome'   => 'welcome',
			'bm'        => 'quick post',
		},
		'parts' => {
			'arrow'    => '=&gt;',
			'sequel'   => 'read more &gt;&gt;',
			'mailchar' => 'iso-8859-1', # for mail
			'no_cat'   => 'no category',
			'thumb'    => ' (small)',
			'thumblst' => ' [*]',
			'formdate' => '%yr/%mo/%dy - %hr:%mi:%sc',
			'error'    => 'Error!! : ',
			'logout'   => 'logout successful',
			'sentping' => ' : ping is sent<br />',
			'findtb'   => ' URL\'s are found.',
			'import'   => ' entries are imported.',
			'deleted'  => ' items are deleted.',
			'confcomp' => 'configuration successful',
			'needmake' => 'need rebuild if you want to reflect to old entries.',
			'buildcmp' => 'rebuild successful.Please confirm from &quot;View website&quot; menu.',
			'passchng' => 'password is changed. need re-login.<br />',
			'userchng' => 'user name is changed. need re-login.<br />',
			'editcomp' => 'complete editing',
			'new_comp' => 'complete adding',
			'sw_on'    => 'open',
			'sw_off'   => 'close',
			'bm_close' => '[close]',
			'tempedit' => 'edit',
			'temp_use' => 'use',
			'temp_can' => '-',
			'temp_sel' => 'changed current template<br />',
			'temp_css' => 'saved CSS template',
			'temp_add' => 'added new template',
			'tempcomp' => 'updated HTML template<br />',
		},
		'error' => {
			'not_allow'   => 'forbidden',
			'wrong_text'  => 'wrong text',
			'wrong_pass'  => 'wrong password.',
			'file_open'   => 'failed file open. : ',
			'unknown'     => 'Unexpected error.',
			'file_lock'   => 'locking file',
			'initialize'  => 'cannot initialization. need re-install.',
			'difference'  => 'not match',
			'no_user'     => 'no user',
			'exist_user'  => 'already exist',
			'import_cond' => 'need to set password to add user',
		},
	);
}
sub sblang_add_timename {
	$gMsg{'week'}{'ja'}      = ['&#x65E5;','&#x6708;','&#x706B;','&#x6C34;','&#x6728;','&#x91D1;','&#x571F;'];
	$gMsg{'week'}{'jalong'}  = [
		'&#x65E5;&#x66DC;&#x65E5;',
		'&#x6708;&#x66DC;&#x65E5;',
		'&#x706B;&#x66DC;&#x65E5;',
		'&#x6C34;&#x66DC;&#x65E5;',
		'&#x6728;&#x66DC;&#x65E5;',
		'&#x91D1;&#x66DC;&#x65E5;',
		'&#x571F;&#x66DC;&#x65E5;'
	];
	return();
}
sub sblang_holiday {
	my $year = shift;
	my %list = (
		'0101' => 'New Year Holiday',
		'1225' => 'Christmas Holiday',
		'1226' => 'Boxing Day',
	);
	return(\%list);
}
# <!-- related character code -->
sub sblang_conv {
	my ($text,$out,$in) = @_;
	return($text);
}
sub sblang_mailtext {
	my $text = shift;
	return($text);
}
sub sblang_code {
	$gEncode = undef;
	$gMsg{'parts'}{'code'} = 'US-ASCII';
	return('iso');
}
1;
